module LanguageSelect (
  Language(..),
  transSentence,
  transNoun
) where

import Language
import Language.English
import Language.Dutch

data Language = English | Dutch

transSentence :: Language -> Sentence -> String
transSentence English s = sentence_to_English s
transSentence Dutch s = sentence_to_Dutch s

transNoun :: Language -> NounPhrase -> String
transNoun English s = noun_to_English s
transNoun Dutch s = noun_to_Dutch s
