module Vision (
  glyph_at
) where

import qualified Data.Map as M (lookup)

import Util.Grid
import Glyph
import Landscape
import Monsters

glyph_at :: Landscape -> Monsters -> Position -> Glyph
glyph_at land mons pos =
  case (flip M.lookup) mons pos of
    Nothing -> get_glyph land pos
    Just m -> monster_glyph m
